Activate a list of LineItemCreativeAssociation objects.
HTTP request
POST https://admanager.googleapis.com/v1/{parent}/creatives:batchActivate
Path parameters
Parameters
parent
string
Required. The parent resource where LineItemCreativeAssociations will be activated. This request supports using the "-" character as a wildcard for resources that span across multiple LineItem parents. Format: networks/{networkCode}/lineItems/{lineItemId} Format: networks/{networkCode}/lineItems/-
Request body
The request body contains data with the following structure:
JSON representation
{"names": [string]}
Fields
names[]
string
Required. The names of the LineItemCreativeAssociation objects to activate. A maximum of 1000 objects can be activated in a batch. Format: networks/{networkCode}/lineItems/{lineItemId}/creatives/{creativeId}
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-10-23 UTC."],[],[]]